- Qt 6.9
- Qt GUI
- C++ Classes
- QtGuiPrivate
- NativeShadingRateMap
- Qt 6.9.1 Reference Documentation

# QRhiShadingRateMap::NativeShadingRateMap Struct

struct QRhiShadingRateMap::NativeShadingRateMap

Wraps a native shading rate map. More...

This struct was introduced in Qt 6.9.

- List of all members, including inherited members

## Public Variables

quint64 | object

## Detailed Description

An example is MTLRasterizationRateMap with Metal. Other 3D APIs that use textures for image-based VRS do not use this struct since those can function via the QRhiTexture-based overload of QRhiShadingRate::createFrom().

## Member Variable Documentation

### quint64 NativeShadingRateMap::object

64-bit integer containing the native object handle.

Used with QRhiShadingRateMap::createFrom(). For example, with Metal, `object` is expected to be an id<MTLRasterizationRateMap>.